<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title>Add thread</title>
<style>
table {
  border-collapse: collapse;
}
.col_title {width:200px;}
.col_data {width:400px;}
form {display: inline;}
</style>
</head>
<body>
<h1>投稿</h1>
<form method="post" th:action="@{/create}" th:object="${formModel}">
<input type="hidden" name="id" th:value="*{id}">
	<table border="1">
		<tr>
			<th class="col_title">タイトル</th>
			<td class="col_data"><input type="text" name="title" th:value="*{title}" size="60" maxlength="60" /></td>
		</tr>
		<tr>
			<th>内容</th>
			<td><input type="text" name="content" th:value="*{content}" size="60" maxlength="100" /></td>
		</tr>
		<tr>
			<th>投稿者</th>
			<td><input type="text" name="createUser" th:value="*{createUser}" size="60" maxlength="60" /></td>
		</tr>
		<tr>
			<th>カテゴリ</th>
			<td>
			<select id="division" name="division">
				<option value="0"></option>
				<option th:each="list: ${lists}" th:value="${list.id}" th:text="${list.name}" th:field="*{division}">pulldown</option>
			</select>
			</td>
		</tr>
	</table>
<hr>
<input type="submit" value="投　稿" />
</form>
<form action="/">
    <input type="submit" value="戻　る" />
</form>
</body>
</html>